# Deprecated API

## Contents

- Classes
- Methods

Deprecated Classes
Class
Description
org.mariadb.jdbc.MySQLDataSource
use class MariaDbDataSource directly

Deprecated Methods
Method
Description
org.mariadb.jdbc.BasePrepareStatement.setUnicodeStream(int, InputStream, int)
deprecated
org.mariadb.jdbc.CallableFunctionStatement.getBigDecimal(int, int)
org.mariadb.jdbc.CallableProcedureStatement.getBigDecimal(int, int)
org.mariadb.jdbc.MariaDbConnection.getHostname()
org.mariadb.jdbc.MariaDbConnection.getPort()
org.mariadb.jdbc.MariaDbConnection.getUsername()
org.mariadb.jdbc.MariaDbConnection.unquoteIdentifier(String)
since 1.3.0
org.mariadb.jdbc.MariaDbDataSource.setProperties(String)